/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the "Elastic License
 * 2.0", the "GNU Affero General Public License v3.0 only", and the "Server Side
 * Public License v 1"; you may not use this file except in compliance with, at
 * your election, the "Elastic License 2.0", the "GNU Affero General Public
 * License v3.0 only", or the "Server Side Public License, v 1".
 */

/*
 * NOTICE: Do not edit this file manually.
 * This file is automatically generated by the OpenAPI Generator, @kbn/openapi-generator.
 *
 * info:
 *   title: Read exception list summary API endpoint
 *   version: 2023-10-31
 */

import { z } from '@kbn/zod';

import {
  ExceptionListId,
  ExceptionListHumanId,
  ExceptionNamespaceType,
} from '../model/exception_list_common.gen';

export type ReadExceptionListSummaryRequestQuery = z.infer<
  typeof ReadExceptionListSummaryRequestQuery
>;
export const ReadExceptionListSummaryRequestQuery = z.object({
  /**
   * Exception list's identifier generated upon creation.
   */
  id: ExceptionListId.optional(),
  /**
   * Exception list's human readable identifier.
   */
  list_id: ExceptionListHumanId.optional(),
  namespace_type: ExceptionNamespaceType.optional().default('single'),
  /**
   * Search filter clause
   */
  filter: z.string().optional(),
});
export type ReadExceptionListSummaryRequestQueryInput = z.input<
  typeof ReadExceptionListSummaryRequestQuery
>;

export type ReadExceptionListSummaryResponse = z.infer<typeof ReadExceptionListSummaryResponse>;
export const ReadExceptionListSummaryResponse = z.object({
  windows: z.number().int().min(0).optional(),
  linux: z.number().int().min(0).optional(),
  macos: z.number().int().min(0).optional(),
  total: z.number().int().min(0).optional(),
});
