/*
 * Copyright Elasticsearch B.V. and/or licensed to Elasticsearch B.V. under one
 * or more contributor license agreements. Licensed under the "Elastic License
 * 2.0", the "GNU Affero General Public License v3.0 only", and the "Server Side
 * Public License v 1"; you may not use this file except in compliance with, at
 * your election, the "Elastic License 2.0", the "GNU Affero General Public
 * License v3.0 only", or the "Server Side Public License, v 1".
 */

/*
 * NOTICE: Do not edit this file manually.
 * This file is automatically generated by the OpenAPI Generator, @kbn/openapi-generator.
 *
 * info:
 *   title: Update value list API endpoint
 *   version: 2023-10-31
 */

import { z } from '@kbn/zod';

import {
  ListId,
  ListName,
  ListDescription,
  ListMetadata,
  ListVersion,
  ListVersionId,
} from '../model/list_common.gen';
import { List } from '../model/list_schemas.gen';

export type UpdateListRequestBody = z.infer<typeof UpdateListRequestBody>;
export const UpdateListRequestBody = z.object({
  id: ListId,
  name: ListName,
  description: ListDescription,
  meta: ListMetadata.optional(),
  version: ListVersion.optional(),
  _version: ListVersionId.optional(),
});
export type UpdateListRequestBodyInput = z.input<typeof UpdateListRequestBody>;

export type UpdateListResponse = z.infer<typeof UpdateListResponse>;
export const UpdateListResponse = List;
